@charset "utf-8";

/* ======== Company-タブ ======== */

.tab-buttons {
  width: 70%;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  border-bottom: 1px solid var(--pale-color);
  gap: 40px;
  overflow-x: auto;
  white-space: nowrap;
  scrollbar-width: none;
}

.tab-buttons::-webkit-scrollbar {
  display: none;
}

.tab-buttons li {
  position: relative;
  padding: 10px 20px;
  cursor: pointer;
  border-bottom: 2px solid transparent;
  transition: border-color 0.3s;
  font-size: 18px;
  flex-shrink: 0;
}

.tab-buttons li::after {
  content: "";
  position: absolute;
  bottom: -2px;
  left: 0;
  right: 0;
  height: 2px;
  background-color: var(--dark-color);
  transform: scaleX(0);
  transition: transform 0.3s ease;
  transform-origin: center;
}

.tab-buttons li.active::after {
  transform: scaleX(1);
}

.tab-content {
  display: none;
}

.tab-content.active {
  display: block;
}


/* ======== Company-ご挨拶 ======== */

.greeting-content {
  width: 100%;  
  margin: 0 auto;
  padding: 40px 40px;
  background-color: var(--main-color);
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 50px;
}

.greeting-img {
  flex: 1;
}

.greeting-img img {
  object-fit: cover;
}

.greeting-wrap {
  flex: 1.3;
}

.greeting-name {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  padding-top: 14px;
}

.president {
  font-size: 26px;
}

/* ======== Company-会社概要・会社沿革 ======== */

#overview > div:nth-of-type(1) {
  margin-top: 0px;
}

.mtmb-m:last-child {
  margin-top: 100px;
  margin-bottom: 0;
}

.info-table dl {
  display: grid;
  grid-template-columns: 24% 1fr;
  border-top: 1.5px dotted var(--pale-color);
}

.info-table dt,
.info-table dd {
  display: flex;
  align-items: center;
  padding: 1.6rem 1rem;
  border-bottom: 1.5px dotted var(--pale-color);
}

.info-table dt.ruby,
.info-table dd.ruby {
  align-items: flex-end;
  padding-bottom: 2rem;
}

.philosophy-wrap {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 30px;
}

.philosophy {
  font-size: 35px;
  line-height: 2;
}

.philosophy-text {
  line-height: 2;
  font-size: 18px;
  padding-bottom: 0;
}

.table-memo {
  padding-top: 1.6rem;
  padding-left: 1rem;
}

/* ======== Company-アクセス ======== */
.access-map iframe {
  display: block;
  width: 100%;
  height: 400px;
}

.access-way {
  padding-bottom: 20px;
}

.access-way p {
  padding-bottom: 0;
}

/* タブレット */
@media screen and (max-width: 1024px) {

  .greeting-content {
    flex-direction: column;
    padding: 60px 40px;
  }

}

/* スマートフォン */
@media screen and (max-width: 767px) {
  .tab-buttons {
    width: 90%;
    justify-content: flex-start;
    gap: 0px;
  }

  .tab-buttons li {
    padding: 10px 17px;
  }

  .greeting-content {
    padding: 20px 20px;
    gap: 20px;
  }

  .philosophy-wrap {
    flex-direction: column;
    gap: 15px;
  }

  .philosophy {
    line-height: 1;
  }

  .info-table dl {
    grid-template-columns: 100%;
  }

  .info-table dt {
    padding: 1.3rem 1rem 0.5rem 1rem;
    border-bottom: none;
    font-weight: bold;
  }

  .info-table dd {
    padding: 0rem 1rem 1.3rem 1rem;
  }

  .info-table dt.ruby {
    padding-bottom: 0.5rem;
  }

  .info-table dd.ruby {
    padding-bottom: 1.3rem;
  }

  /* ======== Company-アクセス ======== */
  .access-map iframe {
    height: 280px;
  }

  .access-way {
  padding-bottom: 10px;
}
}